Bug 460485 - Disabling LVDS causes no further display scans
Disabling LVDS causes no further display scans
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-28 07:18 EDT by Robert de Rooy
Modified: 2009-12-18 01:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:20:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
failing xorg log (17.19 KB, text/plain)
2008-08-28 07:27 EDT, Robert de Rooy
no flags Details
xorg log with LVDS enabled (151.54 KB, text/plain)
2008-08-28 07:36 EDT, Robert de Rooy
no flags Details
config file (1.18 KB, text/plain)
2008-08-28 08:00 EDT, Robert de Rooy
no flags Details

  None (edit)
Description Robert de Rooy 2008-08-28 07:18:38 EDT
Description of problem:
ThinkPad T41 with external VGA attached display.
When disabling LVDS output in xorg.conf it causes Xorg startup to fail with the error that no screens where found.

Basically when it encounters the Option "Ignore" "True" option for the LVDS display it skips scanning the other display ports.

Adding a VGA monitor section with modelines does not help

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.906-5.fc10.i386
xorg-x11-drv-ati-6.9.0-2.fc10.i386

How reproducible:
Consistent

Steps to Reproduce:
1. Connect external monitor to ThinkPad T41
2. Add Option "Ignore" "True" to LVDS monitor section in xorg.conf 
3. Startx
  
Actual results:
failure to start Xorg

Expected results:
scan of attached display on VGA port and successful Xorg start

Additional info:
The reason I am trying to disable the internal (LVDS) display is because I want to make the external display the primary because of XV overlay (internal display will not be used anyway as the lid will be closed). And the only other way I found is to run "xvattr -a XV_CRTC -v 1" after starting the X server.
Comment 1 Robert de Rooy 2008-08-28 07:27:06 EDT
Created attachment 315198 [details]
failing xorg log
Comment 2 Robert de Rooy 2008-08-28 07:36:34 EDT
Created attachment 315199 [details]
xorg log with LVDS enabled
Comment 3 Dave Airlie 2008-08-28 07:50:34 EDT
You should look at option "disable" and option "enable"

ignore is not the droid you are looking for.
Comment 4 Robert de Rooy 2008-08-28 08:00:10 EDT
Created attachment 315201 [details]
config file
Comment 5 Robert de Rooy 2008-08-28 08:08:26 EDT
Interesting... I tried option "Disable" "True" for LVDS and got a message in the log file: "(II) RADEON(0): Output LVDS disabled by config file" so that seems like it works... However it does not! the LVDS display is still enabled and shows the X display.

I got the ignore option from:
http://wiki.debian.org/XStrikeForce/HowToRandR12
Comment 6 Robert de Rooy 2008-08-28 16:47:28 EDT
OK, I found that it is not LVDS specific, specifying Option "Disable" "True" in for instance the s-video monitor section causes Xorg to fail the same way as when it was only specified for LVDS.

So, the problem description should instead read;

Specifying Option "Disable" "True" in any monitor section (LVDS, S-Video, etc) while other valid monitors are available causes an Xorg startup failure with that no screens are available.
Comment 7 Robert de Rooy 2008-08-28 16:51:59 EDT
the last tests where done with todays rawhide updates;
xorg-x11-server-Xorg-1.4.99.906-10.fc10.i386
xorg-x11-drv-ati-6.9.0-7.fc10.i386
Comment 8 Bug Zapper 2008-11-25 21:53:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-11-18 03:19:18 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 01:20:33 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.